-- MAX+plus II VHDL Template
-- Clearable loadable enablable counter

LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY PWM2 IS

	PORT
	(
		PWM_IN_R		: IN	STD_LOGIC;
		DIR_IN_R  	: IN	STD_LOGIC;
		OUT1_R		: OUT	STD_LOGIC;
		OUT2_R		: OUT	STD_LOGIC;
		PWM_IN_L		: IN	STD_LOGIC;
		DIR_IN_L  	: IN	STD_LOGIC;
		OUT1_L		: OUT	STD_LOGIC;
		OUT2_L		: OUT	STD_LOGIC
	);
	
END PWM2;

ARCHITECTURE RTL OF PWM2 IS

BEGIN

	OUT1_R <= (not DIR_IN_R) or (DIR_IN_R and PWM_IN_R);
	OUT2_R <= ((not DIR_IN_R) and PWM_IN_R) or DIR_IN_R;
	OUT1_L <= (not DIR_IN_L) or (DIR_IN_L and PWM_IN_L);
	OUT2_L <= ((not DIR_IN_L) and PWM_IN_L) or DIR_IN_L;

END RTL;

