library IEEE;
use IEEE.MATH_REAL.all;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

ENTITY USS_ADD IS
	PORT
	(
		DONE_USS			: IN	STD_LOGIC;
		RESET				: IN	STD_LOGIC;
		USS_ADD				: OUT	STD_LOGIC);
		
END USS_ADD;

ARCHITECTURE RTL OF USS_ADD IS
	SIGNAL	WRITE	: STD_LOGIC;
begin
WRITE <= DONE_USS;	
process(WRITE,RESET)
begin
	if (RESET='1') then
		USS_ADD <= '0';
	else
		if (WRITE'event and WRITE='1') then
			USS_ADD <= '1';
		end if;
	end if;
end process;
end RTL;